Loading...
Searching...
No Matches
uhd::system_error Struct Reference

`#include <uhd/exception.hpp>`

Inheritance diagram for uhd::system_error:
[legend]
Collaboration diagram for uhd::system_error:
[legend]

## Public Member Functions

| system_error (const std::string &what)
unsigned | code (void) const override
system_error * | dynamic_clone (void) const override
void | dynamic_throw (void) const override
Public Member Functions inherited from uhd::exception
| exception (const std::string &what)

## Detailed Description

Deprecated

## Constructor & Destructor Documentation

## system_error()

uhd::system_error::system_error | ( | const std::string & | what | ) |

## Member Function Documentation

## code()

unsigned uhd::system_error::code | ( | void |  | ) | const

override virtual

Implements uhd::exception.

## dynamic_clone()

system_error * uhd::system_error::dynamic_clone | ( | void |  | ) | const

override virtual

Implements uhd::exception.

## dynamic_throw()

void uhd::system_error::dynamic_throw | ( | void |  | ) | const

override virtual

Implements uhd::exception.

The documentation for this struct was generated from the following file:

- exception.hpp